!=========================================================================
! Copyright (C) GemTalk Systems 1986-2013.  All Rights Reserved.
!
! $Id: gsstackbuff.gs 31898 2013-11-18 22:48:01Z stever $
!
! Superclass Hierarchy:
!   GsStackBuffer, Array, Object.
!
!=========================================================================

removeallmethods GsStackBuffer
removeallclassmethods GsStackBuffer

category: 'For Documentation Installation only'
classmethod: GsStackBuffer
installDocumentation

| doc |
doc := GsClassDocumentation _newForPrivateGsClass: self.

doc documentClassWith: (GsDocText new).

self description: doc.
%

category: 'Accessing'
method: GsStackBuffer
next

"Return the value of the instance variable next."

^ next
%

category: 'Copying'
method: GsStackBuffer
copy

"Disallowed."

self shouldNotImplement: #copy
%

category: 'Instance Creation'
classmethod: GsStackBuffer
new

"Disallowed."

self shouldNotImplement: #new
%

category: 'Instance Creation'
classmethod: GsStackBuffer
new: aSize

"Disallowed."

self shouldNotImplement: #new:
%

