!=========================================================================
! Copyright (C) GemTalk Systems 1986-2013.  All Rights Reserved.
!
! $Id: stackseg.gs 31898 2013-11-18 22:48:01Z stever $
!
! Superclass Hierarchy:
!   StackSegment, Object.
!
!=========================================================================

removeallmethods StackSegment
removeallclassmethods StackSegment

category: 'For Documentation Installation only'
classmethod: StackSegment
installDocumentation

| doc |
doc := GsClassDocumentation _newForObsoletePrivateGsClass: self
                            asOfGsVersion: '5.0'.

doc documentClassWith: (GsDocText new).

self description: doc.
%

category: 'Copying'
method: StackSegment
copy

"Disallowed."

self shouldNotImplement: #copy
%

category: 'Instance Creation'
classmethod: StackSegment
new

"Disallowed."

self shouldNotImplement: #new
%
